> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Uploads.added webhook

> The `user_uploads.added` webhook is sent each time a document is uploaded to Link.  
<Warning>This webhook is only sent after the user selects "Submit" for first-time uploads.</Warning>


Sent when document upload events occur.


## OpenAPI

````yaml openAPI/user-uploads-webhooks-added.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: User Uploads Webhooks
  version: '1.0'
  description: |
    Sent when document upload events occur.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `user_uploads.added` webhook is sent each time a document is
        uploaded to Link.  

        <Warning>This webhook is only sent after the user selects "Submit" for
        first-time uploads.</Warning>
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSubscriptionRequest'
            examples:
              user_uploads_added_subscription:
                summary: user_uploads.added subscription
                value:
                  events:
                    - user_uploads.added
                  name: name-for-the-webhook-subscription
                  url: https://your-webhook-backend.com
                  secret: optional-secret
      responses:
        '200':
          description: Webhook message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserUploadsAddedWebhook'
components:
  schemas:
    WebhookSubscriptionRequest:
      type: object
      properties:
        events:
          type: array
          description: List of events to subscribe to.
          items:
            type: string
          example:
            - user_uploads.added
        name:
          type: string
          description: Name for the webhook subscription.
          example: name-for-the-webhook-subscription
        url:
          type: string
          description: The URL where webhook notifications will be sent.
          example: https://your-webhook-backend.com
        secret:
          type: string
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
          example: optional-secret
      required:
        - events
        - name
        - url
      example:
        events:
          - user_uploads.added
        name: name-for-the-webhook-subscription
        url: https://your-webhook-backend.com
        secret: optional-secret
    UserUploadsAddedWebhook:
      type: object
      properties:
        event:
          type: string
          description: '`user_uploads.added`'
          example: user_uploads.added
        name:
          type: string
          description: Name for the webhook subscription.
          example: name-for-the-webhook-subscription
        data:
          type: object
          properties:
            account:
              type: string
              format: uuid
              description: ID of the account.
              example: 01856c65-43b6-8b5d-b32a-56b8fbda5c28
            user:
              type: string
              format: uuid
              description: ID of the user.
              example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
            user_upload:
              type: string
              format: uuid
              description: ID of the uploaded document.
              example: 01320596-2c3d-189c-53e7-a8ce6d625b33
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````